/*Change input styles*/
.fm-form-container .form-control{
    background-color: #fff;
    border: 1px solid #e8e8e8;
    color: #1f1f1f;
    font-size: 14px;
    font-weight: 400;
    outline: none;
    border-radius: 3px;
    box-shadow: none;
    padding: 6px 8px;
    font-family: sans-serif;
}
.fm-form-container .form-control:focus{
    border: 1px solid #5293FF;
    box-shadow: none;
}
.fm-form-container .has-error .form-control{
    border-color: #ff0000;
}
.fm-form-container .has-error label.control-label {
    color: #ff0000;
}
.fm-form-container .btn{
    outline: none;
    border-radius: 3px;
}
.fm-form-container .btn-default{
    background-color: #ededed;
    color: #535353;
    border-color: #e8e8e8;
}
.fm-form-container .btn-default:active{
    outline: none;
    box-shadow: none;
    border-color: #e8e8e8;
    background-color: #ededed;
    color: #929292;
}
.fm-form-container .btn-primary{
    background-color: #3983ff;
    border-color: #2e7cff;
}
.fm-form-container .btn-primary:hover{
    background-color: #5a97fd;
}
/*end*/
.fm-form-container .fm-header{
	padding: 15px;
}
.fm-form-container .fm-header .fm-description{
    font-size: 14px;
    color: #888;
    padding: 0;
    margin: 0 0 5px 0;
    display: block;
}
.fm-advance-number > button{
    background-color: #ededed;
    color: #929292;
}
/*wizard*/
.fm-wizard-container{
    padding: 0 15px 15px 15px;
}
.fm-wizard-container .fm-wizard{
    margin: 0;
    padding: 0;
    overflow: hidden;
}
.fm-wizard-container .fm-wizard li {
    list-style-type: none;
    float: left;

    position: relative;
    margin: 0;
    padding: 0;

    text-align: center;
    line-height: 30px;
    height: 30px;

    background-color: #f0f7ff;
}
.fm-wizard .fm-wizard-number{
    padding-right: 5px;
}
.fm-wizard[data-steps="2"] li { width: 50%;}
.fm-wizard[data-steps="3"] li { width: 33.33%;}
.fm-wizard[data-steps="4"] li { width: 25%;}
.fm-wizard[data-steps="5"] li { width: 20%;}
.fm-wizard li > span{
    display: block;
    color: #3983ff;
    font-weight: bold;
    text-transform: uppercase;
}
.fm-wizard li.current > span{
    color: #fff;
    background-color: #3983ff;
}
.fm-wizard li > span:after,
.fm-wizard li > span:before{
    content: "";
    display: block;
    width: 0px;
    height: 0px;
    position: absolute;
    top: 0;
    left: 0;
    border: solid transparent;
    border-left-color: #f0f7ff;
    border-width: 15px;
}

.fm-wizard li > span:after{
    top: -5px;
    z-index: 1;
    border-left-color: white;
    border-width: 20px;
}
.fm-wizard li > span:before{
    z-index: 2;
}
.fm-wizard li.current +li > span:before{
    border-left-color: #3983ff;
}
.fm-wizard li:first-child > span:after,
.fm-wizard li:first-child > span:before{
    display: none;
}
.fm-wizard-hidden{
    color: #3983ff;
}
.fm-wizard2{
    position: relative;
    margin: 0;
    padding: 12px 10px;
    font-size: 16px;
    font-weight: bold;
    background-color: #f0f7ff;
    color: #3983ff;
}
@media (max-width: 550px) {
    .fm-form-container .fm-align-right{
        text-align: left;
    }
    .fm-wizard li{
        width: 100% !important;
        display: none;
    }
    .fm-wizard li.current{
        
        display: block;
    }
    .fm-wizard li.current span{
        background-color: #fff;
        color: #333;
    }
    .fm-wizard li > span:after,
    .fm-wizard li > span:before{
        border-left-color: #fff;
    }
}
/*advance number*/
.fm-advance-number{
	display: table;
}
.fm-advance-number > button{
	width: 36px;
	display: table-cell;
	vertical-align: top;
}
.fm-form-container .fm-advance-number > input{
	width: 60px;
	text-align: center;
	display: table-cell;
	vertical-align: top;
    border-radius: 0;
    border-left: none;
    border-right: none;
}
.fm-form-container .fm-advance-number > input:focus{
    border-color: #e8e8e8;
    border-left: none;
    border-right: none;
}
.fm-form .fm-advance-number .fm-minus{
    border-top-right-radius: 0;
    border-bottom-right-radius: 0;
}
.fm-form .fm-advance-number .fm-plus{
    border-top-left-radius: 0;
    border-bottom-left-radius: 0;
}
/*form group select*/
.fm-form .form-group-select .form-control{
    width: 60px;
    border-bottom-right-radius: 4px;
    border-top-right-radius: 4px;
    border-left: 0;
}
.fm-form{
	padding: 15px;
}
.fm-form .bold{
	font-weight: 700;
}
.fm-form .italic{
	font-style: italic;
}
.fm-form .required{
	color: #ff0000;
	padding: 0 4px;
}
.fm-form label.form-control{
	font-weight: normal;
}
.fm-form .form-group label.control-label{
	font-size: 13px;
}
.fm-form .radio,
.fm-form .checkbox{
	margin-top: 0;
}
.fm-form-container .fm-button-upload{
	padding: 0 15px 15px 15px;
}
.fm-form .has-error label.control-label{
	font-size: 12px;
    display: block;
    padding: 0;
    margin: 3px 0 0 0;
    font-weight: 400;
}
@media (max-width: 768px){
	.fm-form label.form-label{
		display: block;
		text-align: left;
	}
}
/*date picker*/
.datepicker {
    position: relative;
    color: #000;
    -webkit-transition: all 0.3s ease;
    transition: all 0.3s ease;
    padding: 0;
    width: auto;
}
.datepicker-popup{
    position: absolute;
    width: 530px;
    margin-top: 1px;
    border-radius: 3px;
    border: 1px solid #d9d9d9;
    background-color: #fff;
    border: 1px solid transparent;
    -webkit-box-shadow: 0 3px 12px 1px rgba(0,0,0,.26);
    box-shadow: 0 3px 12px 1px rgba(0,0,0,.26);
    padding: 5px;
    z-index: 1000;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}
.datepicker-popup.show-one-month{
    width: 260px !important;
}
.datepicker-popup:after {
    content: '';
    background: #fff;
    border-top: 1px solid transparent;
    border-left: 1px solid transparent;
    border-right: 0 solid transparent; 
    border-bottom: 0 solid transparent; 
    position: absolute;
    top: -5px;
    left: 8px;
    display: block;
    width: 7px;
    height: 7px;
    clip: auto;
    -webkit-transform: rotate(45deg);
    -ms-transform: rotate(45deg);
    transform: rotate(45deg);
    border-bottom-right-radius: 5em;
    z-index: 4000;
    -webkit-box-shadow: -2px -2px 3px 0px rgba(0,0,0,0.1);
    box-shadow: -2px -2px 3px 0px rgba(0,0,0,0.1);
}
.datepicker-popup.pop-right:after{
    right: 8px;
    left: initial;
}
.input-icon {
    top: 8px;
    right: 0;
    position: absolute;
    width: 30px;
    color: #b9b9b9;
    text-align: center;
    font-style: normal;
}
.fm-form-error .input-icon{
    color: #ff0000;
}
.input-icon::after {
    content: '';
    display: inline-block;
    width: 0;
    height: 100%;
    vertical-align: middle;
}
.datepicker-top {
    margin: 0 12px;
    line-height: 34px;
    border-bottom: 1px solid rgba(0, 0, 0, .05);
}
.datepicker-top>span {
    white-space: nowrap;
    cursor: pointer;
}
.datepicker-top>span:hover {
    color: #1284e7;
}
.datepicker-top>span:after {
    content: "|";
    margin: 0 10px;
    color: #48576a;
}
.fm-datepicker-close{
	font-size: 12px;
    float: right;
    padding: 3px 0 0 0;
}
.calendar.left,
.calendar.right{
    width: 250px;
}
.calendar.left{
    float: left;
}
.calendar.right{
    float: right;
}
.calendar:before{
    content: '';
    display: table;
}
.calendar:after{
    content: '';
    clear: both;
    display: table;
}
.calendar a {
    color: inherit;
    text-decoration: none;
    cursor: pointer;
    font-size: 15px;
}
.calendar-header {
    line-height: 34px;
    text-align: center;
    padding-bottom: 5px;
}
.calendar__next-icon,
.calendar__prev-icon {
    font-size: 20px;
    padding: 0 6px;
}
.calendar-header>a:hover {
    color: #3983ff;
}
.calendar__prev-icon {
    float: left;
}
.calendar__next-icon {
    float: right;
}
.calendar-table {
    width: 100%;
    font-size: 12px;
    table-layout: fixed;
    border-collapse: collapse;
    border-spacing: 0;
}
.calendar-table td,
.calendar-table th {
    width: 32px;
    height: 28px;
    text-align: center;
    vertical-align: middle;
}
.calendar-table th {
    height: 32px;
    cursor: default;
}
.calendar-table td {
    cursor: pointer;
}
.calendar-table td.inrange,
.calendar-table td:hover,
.calendar-year>a:hover,
.calendar-month>a:hover {
    background-color: #3983ff;
    color: #fff;
}
.calendar-table td.curMonth.start,
.calendar-table td.curMonth.end,
.calendar-table td.current,
.calendar-year>a.current,
.calendar-month>a.current {
    color: #fff;
    background-color: #3983ff;
}
.range .calendar-table td.curMonth.start{
    border-top-left-radius: 3px;
    border-bottom-left-radius: 3px;
}
.range .calendar-table td.curMonth.end{
    border-top-right-radius: 3px;
    border-bottom-right-radius: 3px;
}
.range .calendar-table td.curMonth.in-range{
    color: #3983ff;
    background-color: #f0f7ff;
}
.calendar-month>a.disabled,
.calendar-year>a.disabled,
.calendar-table td.disabled {
    cursor: not-allowed;
    color: #efefef;
    background-color: transparent;
}
.calendar-month>a.disabled:hover,
.calendar-year>a.disabled:hover,
.calendar-table td.disabled:hover {
    background-color: transparent;
}
.lastMonth,
.nextMonth {
    color: #c2c2c6;
}
.today {
    color: #010101;
    font-weight: bold;
    background-color: #ffc700;
}
.calendar-year,
.calendar-month {
    width: 100%;
    height: 224px;
    padding: 7px 0;
    text-align: center;
}
.calendar-year>a {
    display: inline-block;
    width: 40%;
    margin: 1px 5%;
    line-height: 40px;
}
.calendar-month>a {
    display: inline-block;
    width: 30%;
    line-height: 40px;
    margin: 8px 1.5%;
}
/*inline calendar*/
.datepicker .inline{
    margin-bottom: 15px;
    background-color: #f8f8f8;
    border-radius: 3px;
    padding: 10px;
}
.inline .calendar.left,
.inline .calendar.right{
    width: 50%;
}
@media only screen and (max-width: 550px), (max-device-width: 550px) {
    .inline .calendar.left,
    .inline .calendar.right{
        width: 100%;
    }
    .inline .calendar .calendar__next-icon{
        opacity: 1 !important;
        cursor: pointer !important;
        pointer-events: inherit !important;
    }
    .inline .calendar.right{
        display: none;
    }
}
/*table data*/
.fm-table-preview{
    width: 100%;
    border-collapse: collapse;
    border-spacing: 0;
    margin: 15px 0; 
}
.fm-table-preview thead th{
    padding: 6px 8px;
    font-size: 13px;
    text-align: left;
}
.fm-table-preview td{
    padding: 6px 8px;
    border-top: 1px solid #eee;
    font-size: 14px;
    vertical-align: top;
    min-height: 30px;
}
.fm-table-preview td.fm-title{
    width: 30%;
    font-weight: bold;
}
.fm-table-preview td.fm-data{
    width: 70%;
    text-align: right;
}
.fm-table-preview .fm-files-list{
    margin: 0;
}
.fm-table-child{
    border: 1px solid #ededed;
    margin: 0;
}
@media only screen and (max-width: 550px), (max-device-width: 550px) {
    .fm-table-child{
        margin: 0;
        width: 100%;
    }
    .fm-table-group thead{
        display: none;
        visibility: hidden;
    }
    .fm-table-group tr{
        border-bottom: 2px solid #d6d6d6;
    }
    .fm-table-group td{
        position: relative;
        display: block;
        padding-left: 50%;
    }
    .fm-table-group td[data-th]:after{
        content: attr(data-th);
        position: absolute;
        top: 6px;
        left: 8px;
        color: #000;
        font-weight: bold;
    }
}
@media only screen and (max-width: 400px), (max-device-width: 400px) {
    .fm-table-group td{
        padding: 6px 8px;
    }
    .fm-table-group td[data-th]:after{
        display: none;
    }
}
/*captcha error*/
.fm-form-container .fm-captcha-error{
    margin: 3px 0 0 0;
    color: #ff0000;
    font-size: 12px;
}
/*preview data */
.fm-form-container .fm-check-data{
    padding: 0 0 15px 0;
    font-size: 16px;
    font-weight: bold;
}
.fm-form-container .fm-resume{
    padding:0 15px;
}
.fm-form-container .fm-resume-data{
    overflow: auto;
    margin-bottom: 20px;
}
/*spinner*/
.fm-form-container .fm-spinner{
    width: 20px;
    height: 20px;
    margin: 0 10px;
    border-top-color: #fff;
    border-left-color: #fff;

    animation: spinner 400ms linear infinite;
    border-bottom-color: transparent;
    border-right-color: transparent;
    border-style: solid;
    border-width: 2px;
    border-radius: 50%;  
    box-sizing: border-box;
    display: inline-block;
    vertical-align: middle;
}
@keyframes spinner {
  0% { transform: rotate(0deg); }
  100% { transform: rotate(360deg); }
}
/* submit html*/
.fm-submit-html{
    padding: 10px;
    color: #096311;
    background-color: #cbffd6;
    border-radius: 3px;
    font-size: 14px;
    margin: 0 15px;
}
/*total*/
.fm-total-container .fm-total-text{
    font-size: 14px;
}
.fm-total-container .fm-total-value{
    font-size: 18px;
    font-weight: bold;
}
/*searchable select*/
.fm-searchable-select{
    position: relative;
}
.fm-searchable-select input:focus + .mti{
    color: #5293FF;
}
.fm-searchable-select.fm-form-error input + .mti{
    color: #ff0000; 
}
.fm-searchable-select .mti{
    position: absolute;
    top: 8px;
    right: 5px;
    color: #4b4b4b;
}
.fm-searchable-popup{
    position: absolute;
    border-radius: 3px;
    border: 1px solid #d9d9d9;
    background-color: #fff;
    -webkit-box-shadow: 0 3px 12px 1px rgba(206, 217, 238, 0.7);
    box-shadow: 0 3px 12px 1px rgba(206, 217, 238, 0.7);
    min-width: 100%;
    max-height: 408px;
    overflow: auto;
    z-index: 1000;
}
.fm-searchable-popup ul{
    margin: 0;
    padding: 0;
}
.fm-searchable-popup ul>li{
    list-style: none;
    padding: 6px 8px;
    font-size: 13px;
    cursor: default;
}
.fm-searchable-popup ul>li:first-child{
    border-top-left-radius: 3px;
    border-top-right-radius: 3px;
}
.fm-searchable-popup ul>li:last-child{
    border-bottom-left-radius: 3px;
    border-bottom-right-radius: 3px;
}
.fm-searchable-popup ul>li.select,
.fm-searchable-popup ul>li:hover{
    background-color: #3983ff;
    color: #fff;
}
/*form control*/
.fm-form  .form-control[readonly]{
    background-color: #fff;
}
/*radio and checkbox*/
.fm-form-container [type="radio"],
.fm-form-container [type="checkbox"]{
    position: absolute;
    left: -9999px;
}
.fm-form-container .radio label,
.fm-form-container .radio-inline label,
.fm-form-container .checkbox-inline label,
.fm-form-container .checkbox label {
    padding-left: 28px;
}
.fm-form-container .checkbox-inline input:not(:checked) + span:before,
.fm-form-container .checkbox-inline input:checked + span:before,
.fm-form-container .checkbox input:not(:checked) + span:before,
.fm-form-container .checkbox input:checked + span:before{
    content: '';
    position: absolute;
    width: 18px;
    height: 18px;
    border: 1px solid #d5d5d5;
    top: 0;
    left: 0;
    border-radius: 3px;
    background-color: #fff;
    z-index: 10;
}
.fm-form-container .checkbox-inline input:checked + span:before,
.fm-form-container .checkbox input:checked + span:before{
    background-color: #3983ff;
    border-color: #3983ff;
}
.fm-form-container .checkbox-inline input:checked + span:after,
.fm-form-container .checkbox input:checked + span:after{
    content: '';
    position: absolute;
    top: 2px;
    left: 2px;
    width: 6px;
    height: 12px;
    border-top: 2px solid transparent;
    border-left: 2px solid transparent;
    border-right: 2px solid #fff;
    border-bottom: 2px solid #fff;
    -webkit-transform: rotateZ(37deg);
    transform: rotateZ(37deg);
    -webkit-transform-origin: 100% 100%;
    transform-origin: 100% 100%;
    z-index: 11;
    margin: 0;
}
.fm-form-container .radio-inline input:not(:checked) + span:before,
.fm-form-container .radio-inline input:checked + span:before,
.fm-form-container .radio input:not(:checked) + span:before,
.fm-form-container .radio input:checked + span:before{
    content: '';
    position: absolute;
    width: 18px;
    height: 18px;
    border: 1px solid #d5d5d5;
    top: 0;
    left: 0;
    border-radius: 50%;
    background-color: #fff;
    z-index: 10;
}
.fm-form-container .radio-inline input:checked + span:before,
.fm-form-container .radio input:checked + span:before{
    border-color: #3983ff;
}
.fm-form-container .radio-inline input:checked + span:after,
.fm-form-container .radio input:checked + span:after{
    content: '';
    position: absolute;
    top: 3px;
    left: 3px;
    width: 12px;
    height: 12px;
    background-color: #3983ff;
    border-radius: 50%;
    -webkit-transition: all 0.2s ease;
    transition: all 0.2s ease;
    border: none;
    z-index: 11;
}
.fm-form-container button:disabled{
    pointer-events: none;
}
.fm-error-msg{
    padding: 8px;
    text-align: center;
    background-color: #ffcdcd;
    color: #ff0000;
    border-radius: 3px;
    margin-bottom: 15px;
}
/*payments methods*/
.fm-payments-methods-container{
    padding: 0 15px;
    margin-bottom: 15px;
}
.fm-payments-methods-container ul{
    padding: 0;
    margin: 0;
    list-style: none;
}
.fm-payments-methods-container ul>li{
    padding: 0 15px 0 0;
}
.fm-payments-methods-container ul>li label{
    position: relative;
    font-size: 16px;
}
.fm-payments-methods-container .fm-visa-icon{
    position: absolute;
    top: 0;
    right: -45px;
    background-image: url('img/visa.png');
    width: 35px;
    height: 22px;
    display: block;
}
.fm-payments-methods-container .fm-mastercard-icon{
    position: absolute;
    top: 0;
    right: -45px;
    background-image: url('img/mastercard.png');
    width: 35px;
    height: 22px;
    display: block;
}
.fm-payments-methods-container .fm-amex-icon{
    position: absolute;
    top: 0;
    right: -35px;
    background-image: url('img/amex.png');
    width: 25px;
    height: 22px;
    display: block;
}
.fm-payments-methods-container .fm-diners-icon{
    position: absolute;
    top: 0;
    right: -40px;
    background-image: url('img/diners.png');
    width: 30px;
    height: 22px;
    display: block;
}
.fm-payments-methods-container .fm-culqi-icon{
    position: absolute;
    top: 0;
    right: -115px;
    background: url('img/culqi.png');
    height: 22px;
    width: 105px;
    display: block;
}
.fm-payments-methods-container .start-js-btn{
    display: none;
}
/*payment success*/
.fm-success-payment{
    margin: 15px;
    color: #4f4f4f;
}
.fm-success-payment h4{
    color: #0e992b;
}
/*payment failed*/
.fm-failed-payment{
    margin: 15px;
}
.fm-failed-payment h4{
    color: #ff2626;
}
.fm-failed-payment .fm-failed-message{
    color: #ff4545;
}
/*overlayer*/
.fm-overlayer{
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    z-index: 10000;
    background: rgba(0,0,0,.5);
}
.fm-overlayer .fm-message{
    position: relative;
    background: rgb(255,255,255);
    color: #333;
    width: 100%;
    max-width: 180px;
    padding: 10px 15px;
    border-radius: 3px;
    margin: 0 auto;
    top: calc(50% - 20px);
    text-align: center;
}
/*Group items*/
.fm-body .fm-group-item{
    margin-bottom: 20px;
}
/*upload files*/
.fm-files{
    padding: 0;
    margin: 15px 0;
    list-style: none;
}
.fm-files li{
    display: inline-block;
    margin: 0 20px 10px 0;
    max-width: 100px;
}
.fm-files li>span{
    position: absolute;
    top: 2px;
    right: -15px;
}
/*spinner*/
.fm-file-spinner.fm-spinner{
    border-top-color: #3983ff;
    border-left-color: #3983ff;
}